﻿using System;

using PT.Scheduler;

namespace PlanetTogether.PlanetTogether.NoAnchorDrift
{
    class Adjustment
    {
        public Adjustment(DateTime a_adjustmentTime, decimal a_adjustmentQty, BaseId a_reasonId)
        {
            Time = a_adjustmentTime;
            ChangeQty = a_adjustmentQty;
            ReasonId = a_reasonId;
        }

        //Testing
        public Adjustment(DateTime a_adjustmentTime, decimal a_adjustmentQty, BaseIdObject a_reason)
        {
            Time = a_adjustmentTime;
            ChangeQty = a_adjustmentQty;
            ReasonId = a_reason.Id;
            ReasonDesc = a_reason.ToString();
        }
         
        public DateTime Time;
        public decimal ChangeQty;
        public BaseId ReasonId;
        string ReasonDesc;
    }
}
